1 Reply Latest reply: Nov 19, 2012 7:13 AM by varjak paw
joaniefromallenton Level 1 Level 1 (0 points)

I can't get some apps on my 3GS iphone because it has the IOS 4.2.1 and the apps need the 4.3.5

I can I update this iphone? Please help!!


iPhone 3GS, iOS 4.2